# FormIncentives

> List the incentives attached to the given forms. Read access, forms toolset, MCP tool get_form_incentives. Part of the MISSIN public API: call it with an API…

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `formRowIds` | `[UUID!]!` | yes |  | Included in the specified list. |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"FormIncentives","variables":{"formRowIds":[]},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"6d07004f262d675b33d704c2ee739872292bd2c12d8bab007101c3ef453345f5"}}}'
```

## Document

```graphql
query FormIncentives($formRowIds: [UUID!]!) { __typename allIncentives(filter: {formByFormId: {rowId: {in: $formRowIds}}}) { __typename nodes { __typename audience description formId id incentiveRulesByIncentiveId { __typename nodes { __typename connectionByConnectionId { __typename id integrationByIntegrationId { __typename id slug } } discountCodeByDiscountCodeId { __typename id valueAmount valuePercent } id kindSlug outcome terms } totalCount } name rowId slug status tier } } }
```

Source: https://developer.missin.co.uk/reference/forms/form-incentives
